%define name	boycotadvance
%define version	0.2.8
%define release	%mkrel 0.r1.4

Summary:	Gameboy Advance emulator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Group:		Emulators
License:	Freeware
URL:		http://boycottadvance.emuunlim.com/
Source0:	http://sdlemu.ngemu.com/releases/BoyCottAdvance-SDL-0.2.8R1.i386.linux.tar.gz
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-root
ExclusiveArch:	%ix86

%description
Boycot Advance is a portable program for emulating the Nintendo 
Gameboy Advance software platform.

%prep
%setup -q -n boyca-sdl
%__perl -p -i -e 's|\r\n|\n|g' docs/*.TXT

%build

%install
%__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_bindir}
chrpath -d boyca
%__install -m 755 boyca %{buildroot}%{_bindir}/boyca
%__mkdir_p %{buildroot}%{_sysconfdir}
%__install -m 755 boyca.cfg %{buildroot}%{_sysconfdir}/boyca.cfg
(cd %{buildroot}%{_bindir} && %__ln_s %{_sysconfdir}/boyca.cfg boyca.cfg)

%files
%defattr(0644,root,root,0755)
%doc boyca.cfg docs/*.TXT PongFighter/*.zip
%attr(0755,root,root) %{_bindir}/boyca
%config(noreplace) %{_sysconfdir}/boyca.cfg
%{_bindir}/boyca.cfg

%clean
%__rm -rf %{buildroot}



%changelog
* Wed Aug 03 2011 Andrey Bondrov <abondrov@mandriva.org> 1:0.2.8-0.r1.4mdv2012.0
+ Revision: 693036
- imported package boycotadvance


* Sun Apr 17 2005 David Walluck <david@zarb.org> 1:0.2.8-0.r1.3plf
- rebuild

* Sun Apr 17 2005 David Walluck <david@zarb.org> 1:0.2.8-0.r1.2plf
- fix epoch in changelog
- don't depend on dos2unix; use perl instead

* Sat Oct 23 2004 David Walluck <david@zarb.org> 0.2.8-0.r1.1plf
- 0.2.8
- fix rpath
- convert text files from DOS to Unix format
- fix BuildRequires/Requires
- bump epoch

* Sat Sep 07 2002 David Walluck <david@anti-microsoft.org> 0.22-3plf
- rebuild to fix libasound.so.1 dependency

* Thu Apr 25 2002 David Walluck <david@anti-microsoft.org> 0.22-2plf
- cleanup

* Mon Apr 22 2002 David Walluck <david@anti-microsoft.org> 0.22-1plf
- release
